Bug 481213 - Update replication, winsync, chaining online help about connections and authentication
Update replication, winsync, chaining online help about connections and authe...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Directory Server
Classification: Red Hat
Component: UI - Online Help (Show other bugs)
8.1
All Linux
high Severity high
: ---
: ---
Assigned To: Rich Megginson
Chandrasekar Kannan
:
Depends On:
Blocks: 249650 FDS1.2.0
  Show dependency treegraph
 
Reported: 2009-01-22 14:40 EST by Jenny Galipeau
Modified: 2015-01-04 18:36 EST (History)
3 users (show)

See Also:
Fixed In Version: 8.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-29 19:09:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (44.83 KB, patch)
2009-03-02 13:12 EST, Rich Megginson
no flags Details | Diff
cvs commit log (2.59 KB, text/plain)
2009-03-02 19:14 EST, Rich Megginson
no flags Details

  None (edit)
Description Jenny Galipeau 2009-01-22 14:40:43 EST
Description of problem:
Windows Synchronization Agreements now support TLS over LDAPS and StartTLS over LDAP.  The online help needs to be updated to define the new functionality and radio buttons.

Help was written for enable SSL check box, now have radio buttons for SSL and TLS connections.

Version-Release number of selected component (if applicable):
8.1

How reproducible:
Always

Steps to Reproduce:

FIRST ONE:
1. From DS console, select configuration tab.
2. Select replication and add changelog and enable replication.
3. Expand replication and select userRoot.
4. Right click and select new Windows Sync Agreement.
5. Enter name and description, click next.
6. Select Help
 
SECOND ONE:
After the above six steps
7. Enter valid agreement information, select Next and Done.
8. Click on the agreements's Connection tab and select Help 

Actual results:


Expected results:


Additional info:
Comment 1 Rich Megginson 2009-02-16 19:59:18 EST
All online help pages for replication, winsync, and chaining need to be updated to reflect the new UI about connection and authentication types.
Comment 2 Rich Megginson 2009-03-02 13:12:27 EST
Created attachment 333770 [details]
patch
Comment 3 Rich Megginson 2009-03-02 19:14:50 EST
Created attachment 333795 [details]
cvs commit log

Reviewed by: nhosoi (Thanks!)
Fix Description: Updated the online help to reflect the new UI.
Platforms tested: RHEL5
Flag Day: no
Doc impact: no
Comment 4 Jenny Galipeau 2009-03-16 10:18:45 EDT
Help from winsync and replication agreements only include LDAP and LDAPS still.

Both for Help when creating the agreements and for the connection tab after an agreement has been created.

RHEL 5 - DS 8.1
Comment 5 Rich Megginson 2009-03-16 10:45:19 EDT
Can you confirm the console version?
rpm -qi redhat-ds-console
Comment 6 Jenny Galipeau 2009-03-16 10:50:33 EDT
[root@jennyv2 jenny]# rpm -qi redhat-ds-console
Name        : redhat-ds-console            Relocations: (not relocatable)
Version     : 8.1.0                             Vendor: Red Hat, Inc.
Release     : 2.el5dsrv                     Build Date: Thu 08 Jan 2009 04:36:19 PM EST
Install Date: Fri 13 Mar 2009 12:30:31 PM EDT      Build Host: hs20-bc1-7.build.redhat.com
Group       : Applications/System           Source RPM: redhat-ds-console-8.1.0-2.el5dsrv.src.rpm
Size        : 1696581                          License: GPLv2
Signature   : (none)
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://directory.fedoraproject.org
Summary     : Red Hat Directory Server Management Console
Description :
A Java based remote management console used for Managing Red Hat
Directory Server.
Comment 7 Nathan Kinder 2009-03-16 11:16:48 EDT
The redhat-ds-console package version for RHEL5 should be 8.1.0-4.el5dsrv.
Comment 8 Jenny Galipeau 2009-03-16 15:54:37 EDT
fix verfied RHEL 5 DS 8.1 
8.1.0-4.el5dsrv redhat-ds-console package
Comment 9 Chandrasekar Kannan 2009-04-29 19:09:46 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0455.html

Note You need to log in before you can comment on or make changes to this bug.